/*
 * Interrupt handling support.
 *
 * Copyright (C) 2015 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.text
.extern real_exception_handler
.globl _tlb_entry
.globl _cache_entry
.globl _exc_entry
.globl _irq_entry
.globl _end_entries
.set noreorder

_tlb_entry:
	lui $k0, %hi(real_exception_handler)
	ori $k0, $k0, %lo(real_exception_handler)
	jr $k0
	nop

_cache_entry:
	lui $k0, %hi(real_exception_handler)
	ori $k0, $k0, %lo(real_exception_handler)
	jr $k0
	nop

_exc_entry:
	lui $k0, %hi(real_exception_handler)
	ori $k0, $k0, %lo(real_exception_handler)
	jr $k0
	nop

_irq_entry:
	lui $k0, %hi(real_exception_handler)
	ori $k0, $k0, %lo(real_exception_handler)
	jr $k0
	nop

_end_entries:

.set reorder
